<?php
/**
 * The plugin bootstrap file
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Simple Table Rates Pro
 * Plugin URI:        https://wpruby.com/plugin/woocommerce-simple-table-rates-pro
 * Description:       The easiest way to add table rates shipping to your WooCommerce store.
 * Version:           2.0.0
 * Requires PHP:      7.0
 * Requires at least: 4.0
 * Tested up to:      6.0.2
 * Author:            WPRuby
 * Author URI:        https://wpruby.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       simple-table-rates
 * Domain Path:       /languages
 */

namespace WPRuby_Table_Rates;

use WPRuby_Table_Rates\Core\Core;

if ( ! defined( 'WPINC' ) ) {
	die;
}


class WPRuby_Simple_Table_Rates {

	protected static $_instance = null;

	/**
	 * @return self
	 */
	public static function get_instance()
	{
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function __construct()
	{
		Core::get_instance();
	}
}

register_activation_hook( __FILE__, function () {
	$active_plugins = apply_filters('active_plugins', get_option('active_plugins'));
	$lite_plugin_slug = 'simple-table-rates-shipping-for-woocommerce/simple-table-rates.php';
	if (in_array($lite_plugin_slug, $active_plugins)) {
		deactivate_plugins($lite_plugin_slug);
	}
} );

require_once dirname(__FILE__ ) . '/includes/autoloader.php';

WPRuby_Simple_Table_Rates::get_instance();
